Package com.sas.lsaf.execution.job

## Class ManifestJob

- java.lang.Object
- - com.sas.lsaf.execution.job.ManifestFileRef
  - - com.sas.lsaf.execution.job.ManifestJob

- All Implemented Interfaces:
    `java.io.Serializable`

      public final class ManifestJob
      extends ManifestFileRef

  The client representation of the job in a job manifest file.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ManifestJob​(ManifestFile manifestFile, java.lang.String owner, boolean runAsOwner, java.lang.String description)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getDescription()` | Gets the description of the job at the time of the job submission.
    `java.lang.String` | `getOwner()` | Gets the userId of the owner of the job.
    `int` | `hashCode()` |
    `boolean` | `isRunAsOwner()` | Gets whether the job runs as the owner or the user who submitted the file for execution.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.execution.job.ManifestFileRef

      `getFile, getId, getLastModified, getName, getPath, getVersion, isRepositoryFile, isWorkspaceFile`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ManifestJob

          public ManifestJob​(ManifestFile manifestFile,
                             java.lang.String owner,
                             boolean runAsOwner,
                             java.lang.String description)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the manifest files returned by the API.
      Parameters:
        `manifestFile` - The file object that represents the job submitted.
        `owner` - The userId of the owner of the job.
        `runAsOwner` - Indicates whether the job ran as the owner or the user who submitted the file for execution.
        `description` - The description of the job at the time of the job submission.

  - ### Method Detail

    - #### getOwner

          public java.lang.String getOwner()

      Gets the userId of the owner of the job.
      Returns:
        The userId.

    - #### isRunAsOwner

          public boolean isRunAsOwner()

      Gets whether the job runs as the owner or the user who submitted the file for execution.
      Returns:
        Whether the job runs as the owner or the user who submitted the file for execution.

    - #### getDescription

          public java.lang.String getDescription()

      Gets the description of the job at the time of the job submission.
      Returns:
        The description of the job at the time of the job submission.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ManifestFileRef`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `ManifestFileRef`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ManifestFileRef`